Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAMC2

    java.lang.Object
      org.netlib.lapack.SLAMC2

    public class SLAMC2

extends java.lang.Object

    SLAMC2 is a simplified interface to the JLAPACK routine slamc2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAMC2 determines the machine parameters specified in its argument
     *  list.
     *
     *  Arguments
     *  =========
     *
     *  BETA    (output) INTEGER
     *          The base of the machine.
     *
     *  T       (output) INTEGER
     *          The number of ( BETA ) digits in the mantissa.
     *
     *  RND     (output) LOGICAL
     *          Specifies whether proper rounding  ( RND = .TRUE. )  or
     *          chopping  ( RND = .FALSE. )  occurs in addition. This may not
     *          be a reliable guide to the way in which the machine performs

     *          its arithmetic.
     *
     *  EPS     (output) REAL
     *          The smallest positive number such that
     *
     *             fl( 1.0 - EPS ) .LT. 1.0,
     *
     *          where fl denotes the computed value.
     *
     *  EMIN    (output) INTEGER
     *          The minimum exponent before (gradual) underflow occurs.
     *
     *  RMIN    (output) REAL
     *          The smallest normalized number for the machine, given by
     *          BASE**( EMIN - 1 ), where  BASE  is the floating point value

     *          of BETA.
     *
     *  EMAX    (output) INTEGER
     *          The maximum exponent before overflow occurs.
     *
     *  RMAX    (output) REAL
     *          The largest positive number for the machine, given by
     *          BASE**EMAX * ( 1 - EPS ), where  BASE  is the floating point

     *          value of BETA.
     *
     *  Further Details
     *  ===============
     *
     *  The computation of  EPS  is based on a routine PARANOIA by
     *  W. Kahan of the University of California at Berkeley.
     *
     * =====================================================================

     *
     *     .. Local Scalars ..

Constructor Summary
`SLAMC2()`

Method Summary
`static void` | `SLAMC2(intW beta, intW t, booleanW rnd, floatW eps, intW emin, floatW rmin, intW emax, floatW rmax)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAMC2

    public SLAMC2()

Method Detail

### SLAMC2

    public static void SLAMC2(intW beta,
                              intW t,
                              booleanW rnd,
                              floatW eps,
                              intW emin,
                              floatW rmin,
                              intW emax,
                              floatW rmax)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD